Index: package_tags/invirt-database/0.2.1/debian/changelog
===================================================================
--- package_tags/invirt-database/0.2.1/debian/changelog	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/changelog	(revision 2228)
@@ -0,0 +1,499 @@
+invirt-database (0.2.1) unstable; urgency=low
+
+  * Add an admins table.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 20:24:27 -0500
+
+invirt-database (0.2.0) unstable; urgency=low
+
+  * Merge invirt-database-server into invirt-database.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 19:38:55 -0500
+
+invirt-database (0.1.9) unstable; urgency=low
+
+  * Make get*Quotas idempotent
+  * Move Owner import so that Owner can access session in
+    invirt.database.models
+
+ -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 14:17:53 -0500
+
+invirt-database (0.1.8) unstable; urgency=low
+
+  [Peter Iannucci]
+  * Added Record superclass for models, handling __repr__ consistently.
+
+  [Greg Price]
+  invirt.database.record, .owner:
+  * use self.c rather than self.__dict__ for SQLAlchemy fields
+  * make Record._ignore, Owner.get* classmethods
+  * fold FormattableRecord, NullableRecord into Record
+  * shorten types in lists to __name__
+  
+  invirt-quota:
+  * refactor code that sets values
+  * print full help on no arguments
+
+  all:
+  * make EIBTI imports
+
+  [ Quentin Smith ]
+  * Add "reusable" column for nics, to avoid reusing addresses that are
+    special in some way.
+
+ -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 11:51:39 -0500
+
+invirt-database (0.1.7) unstable; urgency=low
+
+  * Disk quotas are measured in gibibytes.
+  * Rename invirt-setquotas to invirt-quota.
+  * Be explicit about units in invirt-quota.
+
+ -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 04:29:20 -0500
+
+invirt-database (0.1.6) unstable; urgency=low
+
+  * Move invirt-setquotas into this package.
+  * Don't explicitly initialize the values for each quota when creating a
+    new Owner object.
+
+ -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:44:20 -0500
+
+invirt-database (0.1.5) unstable; urgency=low
+
+  * Make the default values on the owners table explicit
+    (Note: This is a NOOP, since a nullable field with no otherwise
+    specified default defaults to NULL)
+
+ -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:36:47 -0500
+
+invirt-database (0.1.4) unstable; urgency=low
+
+  * minor bug fix
+
+ -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:59:14 -0500
+
+invirt-database (0.1.3) unstable; urgency=low
+
+  * Added owner table to database with ram, disk, and VM quotas
+  * Refactored Owner class into separate sourcefile
+
+ -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:53 -0500
+
+invirt-database (0.1.2) unstable; urgency=low
+
+  * Clean up the .egg-info directory from the right place.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:50:47 -0500
+
+invirt-database (0.1.1) unstable; urgency=low
+
+  * Correct a lintian spelling warning.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:40:44 -0500
+
+invirt-database (0.1.0) unstable; urgency=low
+
+  * Turn on lazy loading for all tables
+
+ -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500
+
+invirt-database (0.0.6) unstable; urgency=low
+
+  * Let machines.administrator be NULL
+
+ -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500
+
+invirt-database (0.0.5) unstable; urgency=low
+
+  * Add an architecture field to the autoinstaller table
+
+ -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500
+
+invirt-database (0.0.3) unstable; urgency=low
+
+  * Add attributes to the ORM objects to connect mirrors and cdroms
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400
+
+invirt-database (0.0.2) unstable; urgency=low
+
+  * Export mirrors_table and Mirrors from invirt.database.models
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400
+
+invirt-database (0.0.1) unstable; urgency=low
+
+  * sipb-xen-database-common -> invirt-database
+  * sipb-xen-database-server -> invirt-database-server (a separate source package)
+  * sipb-xen-database-client -> invirt-xen-config
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400
+
+sipb-xen-database (10.36.1) unstable; urgency=low
+
+  * Typo in the new tables
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400
+
+sipb-xen-database (10.36) unstable; urgency=low
+
+  * Kill the remnants of the sipb_xen_database package
+  * Add the CDROM mirrors table
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400
+
+sipb-xen-database (10.35) unstable; urgency=low
+
+  * Shorten initscript with spiffy new library from sipb-xen-base
+
+ -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400
+
+sipb-xen-database (10.34) unstable; urgency=low
+
+  * yet another new-sqlalchemy fix, this one post-0.4.2
+
+ -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400
+
+sipb-xen-database (10.33) unstable; urgency=low
+
+  * Catch calls to restart Postgres and translate them into a sequential
+    stop, then start
+
+ -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400
+
+sipb-xen-database (10.32) unstable; urgency=low
+
+  * invirt.database.clear_cache should actually do something
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400
+
+sipb-xen-database (10.31) unstable; urgency=low
+
+  * Database-managed VMs should never even think about bridging
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400
+
+sipb-xen-database (10.30.4) unstable; urgency=low
+
+  * Fix a typo in the CDROM image path
+
+ -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400
+
+sipb-xen-database (10.30.3) unstable; urgency=low
+
+  * fix copy-paste errors in initscript: this is database, not console
+  * fix "typo" in initscript for package name printed in logs
+
+ -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700
+
+sipb-xen-database (10.30.2) unstable; urgency=low
+
+  * Fix a typo in the CDROM lookup in sipb-database
+
+ -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400
+
+sipb-xen-database (10.30.1) unstable; urgency=low
+
+  * Don't strip quotes that won't be there
+
+ -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400
+
+sipb-xen-database (10.30) unstable; urgency=low
+
+  * Look for CD images in /dev/xenvg/image_* and validate image name from
+    the database
+  * Pass the installer arguments unaltered to the kernel, matching the
+    remctl interface
+
+ -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400
+
+sipb-xen-database (10.29) unstable; urgency=low
+
+  * Some fixes in the sipb-database script
+
+ -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400
+
+sipb-xen-database (10.28) unstable; urgency=low
+
+  * Re-establish the database connection if the server goes AWOL
+
+ -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400
+
+sipb-xen-database (10.27) unstable; urgency=low
+
+  * Update sipb-database to work with newer SQLAlchemy and Xen
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400
+
+sipb-xen-database (10.26.1) unstable; urgency=low
+
+  * We want autoflush off, too
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400
+
+sipb-xen-database (10.26) unstable; urgency=low
+
+  * Disable transactions by default
+
+ -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400
+
+sipb-xen-database (10.25) unstable; urgency=low
+
+  * add remote and console to pg_hba.conf template
+  * fix init script so it works
+  * port more code to sqlalchemy 0.4
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400
+
+sipb-xen-database (10.24) unstable; urgency=low
+
+  * Update postgresql.conf for Hardy
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400
+
+sipb-xen-database (10.23) unstable; urgency=low
+
+  * switch to postgresql 8.3, as 8.1 isn't in hardy
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400
+
+sipb-xen-database (10.22) unstable; urgency=low
+
+  * depend on postgresql without specifying old version 8.1
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400
+
+sipb-xen-database (10.21) unstable; urgency=low
+
+  * fix distribution
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400
+
+sipb-xen-database (10.20) hardy; urgency=low
+
+  * port to sqlalchemy-0.4, which cuts out some newly deprecated
+    interfaces and allowed some still-present interfaces to bitrot
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000
+
+sipb-xen-database (10.19) unstable; urgency=low
+
+  * Generate config files for pg_hba.conf
+  * replace postgresql.conf
+
+ --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000
+
+sipb-xen-database (10.18) unstable; urgency=low
+
+  * add 'adminable' column to machines; for selectively, temporarily,
+    enabling admin mode on a machine
+
+ -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400
+
+sipb-xen-database (10.17) unstable; urgency=low
+
+  * pull IP gateway, network from config
+  * configurabilization complete!
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400
+
+sipb-xen-database (10.16) unstable; urgency=low
+
+  in sipb-xen-database-tables:
+  * use invirt.database, and take default db uri
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400
+
+sipb-xen-database (10.15) unstable; urgency=low
+
+  in /etc/xen/database:
+  * uncommitted changes on black-mesa
+  * sipb_xen_database -> invirt.database
+  * use default db uri
+
+  in invirt.database:
+  * get default db uri from invirt.config
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400
+
+sipb-xen-database (10.14) unstable; urgency=low
+
+  * Rename sipb_xen_database -> invirt.database,
+    keeping old name too for now, for compatibility.
+
+ -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400
+
+sipb-xen-database (10.13) unstable; urgency=low
+
+  * Modify autoinstalls table to specify distribution/mirror.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400
+
+sipb-xen-database (10.12) unstable; urgency=low
+
+  * Add a description field.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400
+
+sipb-xen-database (10.11) unstable; urgency=low
+
+  * Specify ON DELETE CASCADE
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400
+
+sipb-xen-database (10.10) unstable; urgency=low
+
+  * Make machine.acl a private relation.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400
+
+sipb-xen-database (10.9) unstable; urgency=low
+
+  * Eager loading of relations for better performance.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400
+
+sipb-xen-database (10.8) unstable; urgency=low
+
+  * Configure serial console on boot
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400
+
+sipb-xen-database (10.7) unstable; urgency=low
+
+  * Depend on psql client in -client package.
+
+ -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400
+
+sipb-xen-database (10.6) unstable; urgency=low
+
+  * Support autoinstalls table.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400
+
+sipb-xen-database (10.5) unstable; urgency=low
+
+  * Enable USB tablet device in guests.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400
+
+sipb-xen-database (10.4.1) unstable; urgency=low
+
+  * Actually export the cache clearing function.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400
+
+sipb-xen-database (10.4) unstable; urgency=low
+
+  * Ubuntu's dch sucks.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400
+
+sipb-xen-database (10.3ubuntu1) gutsy; urgency=low
+
+  * Expose a function for clearing the cache.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400
+
+sipb-xen-database (10.3) unstable; urgency=low
+
+  * Use 'acl', not 'users', for the reference to the machine_access table.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500
+
+sipb-xen-database (10.2) unstable; urgency=low
+
+  * Add MachineAccess to __all__ so it can be imported
+  * Remove unnecessary constructors for database objects
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500
+
+sipb-xen-database (10.1) unstable; urgency=low
+
+  * Make sipb-xen-database-tables safer (don't default to drop_all)
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500
+
+sipb-xen-database (10) unstable; urgency=low
+
+  * Added a machine_access table for cached ACLs
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500
+
+sipb-xen-database (9.0) unstable; urgency=low
+
+  * No changes.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:17:20 -0400
+
+sipb-xen-database (9) unstable; urgency=low
+
+  * Add administrator column and backrefs to machine.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:11:47 -0400
+
+sipb-xen-database (8) gutsy; urgency=low
+
+  * Prepend d_ to database VMs.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:35:51 -0400
+
+sipb-xen-database (7.00002) gutsy; urgency=low
+
+  * Actually import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 04:34:07 -0400
+
+sipb-xen-database (7.00001) gutsy; urgency=low
+
+  * import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:40:25 -0400
+
+sipb-xen-database (7) unstable; urgency=low
+
+  * nics primary key should be mac address, not hostname.
+  * Make ip unique, and constructor for nics.
+  * Add a table for boot CDs.
+  * Add cdrom_image parameter.
+  * Regex sanity checking.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:18:30 -0400
+
+sipb-xen-database (6) unstable; urgency=low
+
+  * Adding a script to create lvm volumes
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400
+
+sipb-xen-database (5) unstable; urgency=low
+
+  * Change the host from sipb-vm-1 to sipb-xen-dev
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400
+
+sipb-xen-database (4) unstable; urgency=low
+
+  * Add script=vif-sipbroute to our vif lines
+
+ -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400
+
+sipb-xen-database (3) unstable; urgency=low
+
+  * Add a connect() line to sipb-database
+  * Fix some other bugs in sipb-database
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400
+
+sipb-xen-database (2) unstable; urgency=low
+
+  * Fix the postinit and prerm scripts to create a sipb-xen user
+
+ -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400
+
+sipb-xen-database (1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400
Index: package_tags/invirt-database/0.2.1/debian/compat
===================================================================
--- package_tags/invirt-database/0.2.1/debian/compat	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/compat	(revision 2228)
@@ -0,0 +1,1 @@
+4
Index: package_tags/invirt-database/0.2.1/debian/control
===================================================================
--- package_tags/invirt-database/0.2.1/debian/control	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/control	(revision 2228)
@@ -0,0 +1,28 @@
+Source: invirt-database
+Section: net
+Priority: extra
+Maintainer: Invirt project <invirt@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0),
+ config-package-dev, postgresql-8.3, python-all-dev (>=2.3.5-11),
+ python-support (>= 0.5.3), python-setuptools, python-debian,
+ python-apt
+Standards-Version: 3.8.0
+
+Package: invirt-database
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python-sqlalchemy,
+ python-psycopg2
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Installs the Invirt database schema files
+ This contains the Python modules to access the Invirt database
+
+Package: invirt-database-server
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.3,
+ python-sqlalchemy, python-psycopg2, invirt-database, adduser,
+ invirt-base
+Provides: ${diverted-files}
+Conflicts: ${diverted-files}
+Description: Installs the Invirt database server
+ This tracks all the user VMs and is accessed from the VM host
Index: package_tags/invirt-database/0.2.1/debian/copyright
===================================================================
--- package_tags/invirt-database/0.2.1/debian/copyright	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/copyright	(revision 2228)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-database/0.2.1/debian/invirt-database-server.init
===================================================================
--- package_tags/invirt-database/0.2.1/debian/invirt-database-server.init	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/invirt-database-server.init	(revision 2228)
@@ -0,0 +1,19 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides:          invirt-database-server
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Invirt database server
+# Description:       
+### END INIT INFO
+
+PACKAGE=invirt-database-server
+PARENTPACKAGE=postgresql-8.3
+GEN_FILES=/etc/postgresql/8.3/main/pg_hba.conf
+
+dpkg -s "$PACKAGE" >/dev/null 2>/dev/null || exit 0
+
+. /lib/init/config-init.sh
+config_init "$1"
Index: package_tags/invirt-database/0.2.1/debian/invirt-database-server.install
===================================================================
--- package_tags/invirt-database/0.2.1/debian/invirt-database-server.install	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/invirt-database-server.install	(revision 2228)
@@ -0,0 +1,3 @@
+postgresql-8.3.invirt etc/init.d
+pg_hba.conf.mako etc/postgresql/8.3/main
+invirt-database-tables usr/bin
Index: package_tags/invirt-database/0.2.1/debian/invirt-database-server.postinst
===================================================================
--- package_tags/invirt-database/0.2.1/debian/invirt-database-server.postinst	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/invirt-database-server.postinst	(revision 2228)
@@ -0,0 +1,53 @@
+#!/bin/sh
+# postinst script for invirt-database-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+# Note that by moving this above our generated code we could run into significant problems
+# if we happened to start a daemon, and use debconf
+# We move this up here because we need the diversion of postgresql.conf to happen before we create tables
+
+#DEBHELPER#
+
+
+case "$1" in
+    configure)
+        #Don't create users on upgrade
+        if [ -z "$2" ]; then
+            # Don't fail if the user/database already exists
+            su postgres -c 'createuser invirt -S -d -R'    || true
+            su postgres -c 'createdb invirt -O invirt'   || true
+            adduser --system invirt
+        fi
+	invoke-rc.d postgresql-8.3 restart
+        su invirt -s /bin/sh -c 'invirt-database-tables create'
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0
+
+
Index: package_tags/invirt-database/0.2.1/debian/invirt-database-server.prerm
===================================================================
--- package_tags/invirt-database/0.2.1/debian/invirt-database-server.prerm	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/invirt-database-server.prerm	(revision 2228)
@@ -0,0 +1,45 @@
+#!/bin/sh
+# prerm script for invirt-database-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+
+        # This will destroy data -- do we want to do this?
+        # su postgres -c 'dropdb invirt'
+        # su postgres -c 'dropuser invirt'
+        deluser invirt
+    ;;
+
+    upgrade|failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Index: package_tags/invirt-database/0.2.1/debian/invirt-database.install
===================================================================
--- package_tags/invirt-database/0.2.1/debian/invirt-database.install	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/invirt-database.install	(revision 2228)
@@ -0,0 +1,1 @@
+debian/tmp/* .
Index: package_tags/invirt-database/0.2.1/debian/pycompat
===================================================================
--- package_tags/invirt-database/0.2.1/debian/pycompat	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/pycompat	(revision 2228)
@@ -0,0 +1,1 @@
+2
Index: package_tags/invirt-database/0.2.1/debian/rules
===================================================================
--- package_tags/invirt-database/0.2.1/debian/rules	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/rules	(revision 2228)
@@ -0,0 +1,18 @@
+#!/usr/bin/make -f
+
+DEB_PYTHON_SYSTEM=pysupport
+
+DEB_DIVERT_EXTENSION = .invirt
+
+DEB_TRANSFORM_FILES_invirt-database-server += \
+	/etc/postgresql/8.3/main/postgresql.conf.invirt
+
+DEB_DIVERT_FILES_invirt-database-server += \
+	/etc/init.d/postgresql-8.3.invirt
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/python-distutils.mk
+include /usr/share/cdbs/1/rules/config-package.mk
+
+clean::
+	rm -rf invirt.database.egg-info
Index: package_tags/invirt-database/0.2.1/debian/transform_postgresql.conf.invirt
===================================================================
--- package_tags/invirt-database/0.2.1/debian/transform_postgresql.conf.invirt	(revision 2228)
+++ package_tags/invirt-database/0.2.1/debian/transform_postgresql.conf.invirt	(revision 2228)
@@ -0,0 +1,4 @@
+#!/usr/bin/perl -0p
+
+s/^#?listen_addresses = '[^']*'(.*)$/listen_addresses = '*'$1/m or die;
+s/^#?port = [0-9]*(.*)$/port = 5432$1/m or die;
Index: package_tags/invirt-database/0.2.1/invirt-database-tables
===================================================================
--- package_tags/invirt-database/0.2.1/invirt-database-tables	(revision 2228)
+++ package_tags/invirt-database/0.2.1/invirt-database-tables	(revision 2228)
@@ -0,0 +1,32 @@
+#!/usr/bin/env python
+
+from invirt import database
+import sys
+
+def usage():
+    print >>sys.stderr, "Usage: %s [create|drop]" %(sys.argv[0],)
+    sys.exit(-1)
+
+if len(sys.argv) == 1:
+    usage()
+
+def create():
+    database.meta.create_all()
+    session = database.session()
+    session.begin()
+    if not database.Type.query.get('linux-hvm'):
+        session.save(database.Type(type_id='linux-hvm', description='HVM',
+                                   hvm='t', apic='t', acpi='t', pae='t'))
+    if not database.Type.query.get('linux'):
+        session.save(database.Type(type_id='linux', description='ParaVM',
+                                   hvm='f', apic='f', acpi='f', pae='f'))
+    session.commit()
+
+database.connect()
+
+if sys.argv[1] == "create":
+    create()
+elif sys.argv[1] == "drop":
+    database.meta.drop_all()
+else:
+    usage()
Index: package_tags/invirt-database/0.2.1/pg_hba.conf.mako
===================================================================
--- package_tags/invirt-database/0.2.1/pg_hba.conf.mako	(revision 2228)
+++ package_tags/invirt-database/0.2.1/pg_hba.conf.mako	(revision 2228)
@@ -0,0 +1,83 @@
+<% from invirt.config import structs as cfg %>\
+# PostgreSQL Client Authentication Configuration File
+# ===================================================
+#
+# Refer to the PostgreSQL Administrator's Guide, chapter "Client
+# Authentication" for a complete description.  A short synopsis
+# follows.
+#
+# This file controls: which hosts are allowed to connect, how clients
+# are authenticated, which PostgreSQL user names they can use, which
+# databases they can access.  Records take one of these forms:
+#
+# local      DATABASE  USER  METHOD  [OPTION]
+# host       DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+# hostssl    DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+# hostnossl  DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+#
+# (The uppercase items must be replaced by actual values.)
+#
+# The first field is the connection type: "local" is a Unix-domain socket,
+# "host" is either a plain or SSL-encrypted TCP/IP socket, "hostssl" is an
+# SSL-encrypted TCP/IP socket, and "hostnossl" is a plain TCP/IP socket.
+#
+# DATABASE can be "all", "sameuser", "samerole", a database name, or
+# a comma-separated list thereof.
+#
+# USER can be "all", a user name, a group name prefixed with "+", or
+# a comma-separated list thereof.  In both the DATABASE and USER fields
+# you can also write a file name prefixed with "@" to include names from
+# a separate file.
+#
+# CIDR-ADDRESS specifies the set of hosts the record matches.
+# It is made up of an IP address and a CIDR mask that is an integer
+# (between 0 and 32 (IPv4) or 128 (IPv6) inclusive) that specifies
+# the number of significant bits in the mask.  Alternatively, you can write
+# an IP address and netmask in separate columns to specify the set of hosts.
+#
+# METHOD can be "trust", "reject", "md5", "crypt", "password",
+# "krb5", "ident", or "pam".  Note that "password" sends passwords
+# in clear text; "md5" is preferred since it sends encrypted passwords.
+#
+# OPTION is the ident map or the name of the PAM service, depending on METHOD.
+#
+# Database and user names containing spaces, commas, quotes and other special
+# characters must be quoted. Quoting one of the keywords "all", "sameuser" or
+# "samerole" makes the name lose its special character, and just match a
+# database or username with that name.
+#
+# This file is read on server startup and when the postmaster receives
+# a SIGHUP signal.  If you edit the file on a running system, you have
+# to SIGHUP the postmaster for the changes to take effect.  You can use
+# "pg_ctl reload" to do that.
+
+# Put your actual configuration here
+# ----------------------------------
+#
+# If you want to allow non-local connections, you need to add more
+# "host" records. In that case you will also need to make PostgreSQL listen
+# on a non-local interface via the listen_addresses configuration parameter,
+# or via the -i or -h command line switches.
+#
+
+
+
+
+# DO NOT DISABLE!
+# If you change this first entry you will need to make sure that the
+# database
+# super user can access the database using some other method.
+# Noninteractive
+# access to all databases is required during automatic maintenance
+# (autovacuum, daily cronjob, replication, and similar tasks).
+#
+# Database administrative login by UNIX sockets
+local   all         postgres                          ident sameuser
+
+# TYPE  DATABASE    USER        CIDR-ADDRESS          METHOD
+
+# "local" is for Unix domain socket connections only
+local   all         all                               ident sameuser
+% for m in cfg.hosts + [cfg.db, cfg.remote, cfg.console]:
+host	${cfg.db.dbname}	${cfg.db.user}	${m.ip}/32	trust
+% endfor
Index: package_tags/invirt-database/0.2.1/postgresql-8.3.invirt
===================================================================
--- package_tags/invirt-database/0.2.1/postgresql-8.3.invirt	(revision 2228)
+++ package_tags/invirt-database/0.2.1/postgresql-8.3.invirt	(revision 2228)
@@ -0,0 +1,29 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          postgresql postgresql-8.3
+# Required-Start:    $local_fs $remote_fs $network $time
+# Required-Stop:     $local_fs $remote_fs $network $time
+# Should-Start:      $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: PostgreSQL 8.3 RDBMS server
+# Description:       This script proxies requests to the default postgresql-8.3,
+#                    except for restart, which it translates to a stop request,
+#                    and then a start request, so that PostgreSQL is shut down
+#                    with a fast shutdown
+### END INIT INFO
+
+case "$1" in
+  restart)
+        invoke-rc.d postgresql-8.3.invirt-orig stop
+        invoke-rc.d postgresql-8.3.invirt-orig start
+        exit $?
+	;;
+  *)
+        invoke-rc.d postgresql-8.3.invirt-orig "$1"
+        exit $?
+	;;
+esac
+
+:
Index: package_tags/invirt-database/0.2.1/python/database/__init__.py
===================================================================
--- package_tags/invirt-database/0.2.1/python/database/__init__.py	(revision 2228)
+++ package_tags/invirt-database/0.2.1/python/database/__init__.py	(revision 2228)
@@ -0,0 +1,9 @@
+from invirt.config import structs as config
+from models import *
+import sqlalchemy
+
+def connect(uri = config.db.uri):
+    """ Connect to a given database URI"""
+    engine = sqlalchemy.create_engine(uri, pool_timeout=5)
+    meta.bind = engine
+    session.configure(bind=engine)
Index: package_tags/invirt-database/0.2.1/python/database/models.py
===================================================================
--- package_tags/invirt-database/0.2.1/python/database/models.py	(revision 2228)
+++ package_tags/invirt-database/0.2.1/python/database/models.py	(revision 2228)
@@ -0,0 +1,158 @@
+from sqlalchemy import *
+from sqlalchemy import orm
+from sqlalchemy.orm import create_session, relation
+
+from sqlalchemy.ext.sessioncontext import SessionContext
+from sqlalchemy.ext.assignmapper import assign_mapper
+
+from invirt.database import record
+
+__all__ = ['meta',
+           'session',
+           'clear_cache',
+           'machine_table',
+           'machine_access_table',
+           'nic_table',
+           'disk_table',
+           'types_table',
+           'cdroms_table',
+           'mirrors_table',
+           'autoinstalls_table',
+           'owners_table',
+           'admins_table',
+           'Machine',
+           'MachineAccess',
+           'NIC',
+           'Disk',
+           'Type',
+           'CDROM',
+           'Mirror',
+           'Autoinstall',
+           'Owner',
+           'Admin',
+           'or_',
+           ]
+
+meta = ThreadLocalMetaData()
+session = orm.scoped_session(orm.sessionmaker(transactional=False, autoflush=False))
+
+machine_table = Table('machines', meta,
+       Column('machine_id', Integer, primary_key=True, nullable=False),
+       Column('name', String, nullable=False),
+       Column('description', String, nullable=False),
+       Column('memory', Integer, nullable=False),
+       Column('owner', String, nullable=False),
+       Column('contact', String, nullable=False),
+       Column('uuid', String, nullable=False),
+       Column('administrator', String, nullable=True, default=None),
+       Column('type_id', String, ForeignKey('types.type_id'), nullable=False),
+       Column('autorestart', Boolean, nullable=False, default=False),
+       Column('cpus', Integer, nullable=False, default=1),
+       Column('adminable', Boolean, nullable=False, default=False))
+
+nic_table = Table('nics', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id'), nullable=True),
+       Column('mac_addr', String, nullable=False, primary_key=True),
+       Column('ip', String, nullable=False, unique=True),
+       Column('hostname', String, nullable=True),
+       Column('reusable', Boolean, nullable=False, default=True))
+
+disk_table = Table('disks', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id'), nullable=False),
+       Column('guest_device_name', String, nullable=False),
+       Column('size', Integer, nullable=False),
+       PrimaryKeyConstraint('machine_id', 'guest_device_name'))
+
+types_table = Table('types', meta,
+       Column('type_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('hvm', Boolean, nullable=False),
+       Column('apic', Boolean, nullable=False),
+       Column('acpi', Boolean, nullable=False),
+       Column('pae', Boolean, nullable=False))
+
+mirrors_table = Table('mirrors', meta,
+       Column('mirror_id', String, primary_key=True, nullable=False),
+       Column('uri_prefix', String, nullable=False))
+
+cdroms_table = Table('cdroms', meta,
+       Column('cdrom_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('mirror_id', String, ForeignKey('mirrors.mirror_id')),
+       Column('uri_suffix', String))
+
+autoinstalls_table = Table('autoinstalls', meta,
+       Column('autoinstall_id', String, primary_key=True, nullable=False),
+       Column('description', String, nullable=False),
+       Column('type_id', String, ForeignKey('types.type_id'), nullable=False),
+       Column('distribution', String, nullable=False),
+       Column('mirror', String, nullable=False),
+       Column('arch', String, nullable=False))
+
+owners_table = Table('owners', meta,
+       Column('owner_id', String, primary_key=True, nullable=False),
+       Column('ram_quota_total', Integer, nullable=True, default=None),
+       Column('ram_quota_single', Integer, nullable=True, default=None),
+       Column('disk_quota_total', Integer, nullable=True, default=None),
+       Column('disk_quota_single', Integer, nullable=True, default=None),
+       Column('vms_quota_total', Integer, nullable=True, default=None),
+       Column('vms_quota_active', Integer, nullable=True, default=None))
+
+machine_access_table = Table('machine_access', meta,
+       Column('machine_id', Integer, ForeignKey('machines.machine_id', ondelete='CASCADE'), nullable=False, index=True),
+       Column('user', String, nullable=False, index=True),
+       PrimaryKeyConstraint('machine_id', 'user'))
+
+admins_table = Table('admins', meta,
+       Column('user', String, nullable=False, index=True, primary_key=True))
+
+class Machine(record.Record):
+    _identity_field = 'name'
+
+class MachineAccess(record.Record):
+    pass
+
+class NIC(record.Record):
+    pass
+
+class Disk(record.Record):
+    pass
+
+class Type(record.Record):
+    _identity_field = 'type_id'
+
+class Mirror(record.Record):
+    _identity_field = 'mirror_id'
+
+class CDROM(record.Record):
+    _identity_field = 'cdrom_id'
+
+class Autoinstall(record.Record):
+    _identity_field = 'autoinstall_id'
+
+class Admin(record.Record):
+    _identity_field = 'user'
+
+from invirt.database.owner import Owner
+
+session.mapper(Machine, machine_table,
+              properties={'nics': relation(NIC, backref="machine"),
+                          'disks': relation(Disk, backref="machine"),
+                          'type': relation(Type),
+                          'acl': relation(MachineAccess, backref="machine", passive_deletes=True, cascade="all, delete-orphan")});
+session.mapper(MachineAccess, machine_access_table)
+session.mapper(NIC, nic_table)
+session.mapper(Disk, disk_table)
+session.mapper(Type, types_table)
+session.mapper(Mirror, mirrors_table)
+session.mapper(CDROM, cdroms_table,
+               properties={'mirror': relation(Mirror, backref="cdroms")})
+session.mapper(Autoinstall, autoinstalls_table)
+session.mapper(Owner, owners_table)
+session.mapper(Admin, admins_table)
+
+def clear_cache():
+    """Clear sqlalchemy's cache
+    """
+
+    session.clear()
Index: package_tags/invirt-database/0.2.1/python/database/owner.py
===================================================================
--- package_tags/invirt-database/0.2.1/python/database/owner.py	(revision 2228)
+++ package_tags/invirt-database/0.2.1/python/database/owner.py	(revision 2228)
@@ -0,0 +1,41 @@
+from invirt.database import record
+from invirt.database.models import session
+
+class Owner(record.Record):
+    _f = {
+        'ram_quota_total': (512, 'MiB'),
+        'ram_quota_single': (512, 'MiB'),
+        'disk_quota_total': (50, 'GiB'),
+        'disk_quota_single': (50, 'GiB'),
+        'vms_quota_total': (10, ''),
+        'vms_quota_active': (4, '')
+    }
+    _default = dict([(_k,_v[0]) for _k,_v in _f.items()])
+    def _unitFormatter(unit):
+        return lambda v:'%s%s'%(v,unit)
+    _format = dict([(_k,_unitFormatter(_v[1])) for _k,_v in _f.items()])
+    _identity_field = 'owner_id'
+
+    @classmethod
+    def getMemoryQuotas(cls, owner):
+        owner_info = cls.query().get(owner)
+        if owner_info == None:
+            owner_info = cls(owner_id=owner)
+            session.expunge(owner_info)
+        return (owner_info.get('ram_quota_total'), owner_info.get('ram_quota_single'))
+
+    @classmethod
+    def getDiskQuotas(cls, owner):
+        owner_info = cls.query().get(owner)
+        if owner_info == None:
+            owner_info = cls(owner_id=owner)
+            session.expunge(owner_info)
+        return (owner_info.get('disk_quota_total'), owner_info.get('disk_quota_single'))
+
+    @classmethod
+    def getVMQuotas(cls, owner):
+        owner_info = cls.query().get(owner)
+        if owner_info == None:
+            owner_info = cls(owner_id=owner)
+            session.expunge(owner_info)
+        return (owner_info.get('vms_quota_total'), owner_info.get('vms_quota_active'))
Index: package_tags/invirt-database/0.2.1/python/database/record.py
===================================================================
--- package_tags/invirt-database/0.2.1/python/database/record.py	(revision 2228)
+++ package_tags/invirt-database/0.2.1/python/database/record.py	(revision 2228)
@@ -0,0 +1,47 @@
+class Record(object):
+    _identity_field = None
+    _default = {}
+    _format = {}
+
+    def get(self, field):
+        v = getattr(self, field, None)
+        if v is None:
+            return self._default.get(field)
+        return v
+
+    def _formatField(self, field):
+        v = self.get(field)
+        func = self._format.get(field)
+        if func:
+            return func(v)
+        if callable(v):
+            v = v()
+        if not hasattr(v, '__iter__'):
+            return repr(v)
+        if len(v) == 0:
+            return '[]'
+        return '[%d x %s]'%(len(v), type(v[0]).__name__)
+
+    @classmethod
+    def _ignore(cls):
+        return [cls._identity_field]
+
+    def _fields(self):
+        ignore = self._ignore()
+        keys = sorted(self.c.keys())
+        return [(k,self._formatField(k)) for k in keys if k not in ignore]
+
+    def __repr__(self):
+        classname = self.__class__.__name__
+
+        if self._identity_field:
+            identity = self.__dict__.get(self._identity_field)
+            identity = ' ' + (identity and repr(identity) or 'hash=%X'%hash(self))
+        else:
+            identity = ''
+
+        payload = " ".join(["%s=%s" % (k, v) for k,v in self._fields()])
+        if len(payload) > 0:
+            payload = ": "+payload
+
+        return "<%s%s%s>" % (classname, identity, payload)
Index: package_tags/invirt-database/0.2.1/scripts/invirt-quota
===================================================================
--- package_tags/invirt-database/0.2.1/scripts/invirt-quota	(revision 2228)
+++ package_tags/invirt-database/0.2.1/scripts/invirt-quota	(revision 2228)
@@ -0,0 +1,66 @@
+#!/usr/bin/env python
+
+"""
+invirt-quota allows an administrator to set memory, disk, and VM quotas 
+for an owner.  Invoking with only an owner name returns the current quotas for
+that owner.  Setting a parameter to -1 restores the default.
+"""
+
+import sys
+import optparse
+
+from invirt import database
+
+def main(argv):
+    parser = optparse.OptionParser(usage = '%prog <owner> [options]',
+            description = __doc__.strip())
+    parser.add_option('-m', '--ram-total',
+            type = 'int',
+            dest = 'ramtotal',
+            help = 'set total concurrent RAM quota')
+    parser.add_option('-n', '--ram-single',
+            type = 'int',
+            dest = 'ramsingle',
+            help = 'set single VM RAM quota')
+    parser.add_option('-d', '--disk-total',
+            type = 'int',
+            dest = 'disktotal',
+            help = 'set total disk quota')
+    parser.add_option('-e', '--disk-single',
+            type = 'int',
+            dest = 'disksingle',
+            help = 'set single VM disk quota')
+    parser.add_option('-v', '--vms-total',
+            type = 'int',
+            dest = 'vmstotal',
+            help = 'set total VM quota')
+    parser.add_option('-w', '--vms-active',
+            type = 'int',
+            dest = 'vmsactive',
+            help = 'set active VM quota')
+    opts, args = parser.parse_args()
+
+    if len(args) != 1:
+        parser.print_help(sys.stderr)
+        return 1
+    owner_id = args[0]
+    database.connect()
+    database.session.begin()
+    
+    owner = database.Owner.query().filter_by(owner_id=owner_id).first()
+    if owner is None:
+        owner = database.Owner(owner_id=owner_id)
+
+    for resource, scope in [('ram',  'total'), ('ram',  'single'),
+                            ('disk', 'total'), ('disk', 'single'),
+                            ('vms',  'total'), ('vms',  'active')]:
+        val = getattr(opts, resource+scope)
+        if val is not None:
+            setattr(owner, resource+'_quota_'+scope, val if val >= 0 else None)
+
+    database.session.commit()
+    print owner
+    return 0
+
+if __name__ == '__main__':
+    sys.exit(main(sys.argv))
Index: package_tags/invirt-database/0.2.1/setup.py
===================================================================
--- package_tags/invirt-database/0.2.1/setup.py	(revision 2228)
+++ package_tags/invirt-database/0.2.1/setup.py	(revision 2228)
@@ -0,0 +1,25 @@
+#!/usr/bin/python
+
+from os import path
+from debian_bundle.changelog import Changelog
+from debian_bundle.deb822 import Deb822
+from email.utils import parseaddr
+from glob import glob
+from setuptools import setup
+
+version = Changelog(open(path.join(path.dirname(__file__), 'debian/changelog')).read()).\
+    get_version().full_version
+
+maintainer_full = Deb822(open(path.join(path.dirname(__file__), 'debian/control')))['Maintainer']
+maintainer, maintainer_email = parseaddr(maintainer_full)
+
+setup(
+    name='invirt.database',
+    version=version,
+    maintainer=maintainer,
+    maintainer_email=maintainer_email,
+    
+    packages = ['invirt.database'],
+    package_dir = {'invirt': 'python'},
+    scripts=glob('scripts/*')
+)
